%define	name	rxvt
%define	version	2.7.3
%define	release	2
%define	serial	273

Summary:	rxvt - terminal emulator in an X window
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		User Interface/X
Vendor:		Geoff Wing <gcw@pobox.com>
URL:		http://www.rxvt.org
Source:		%{name}-%{version}.tar.gz
Source2:	rxvt.wmconfig
Patch:		rxvt-2.7.3.patch1.gz
BuildRoot:	/var/tmp/%{name}-%{version}

Summary(de):	rxvt - Terminal-Emulator in einem X-Fenster
Summary(fr):	rxvt - un emulateur de terminal pour X window
Summary(tr):	X11 iin bir ubirim yazlm

%description
Rxvt is a VT100 terminal emulator for X.  It is intended as a replacement
for xterm(1) for users who do not require the more esoteric features of
xterm.  Specifically rxvt does not implement the Tektronix 4014 emulation,
session logging and toolkit style configurability.  As a result, rxvt uses
much less swap space than xterm - a significant advantage on a machine
serving many X sessions. 

%description -l de
Rxvt ist ein VT100-Terminal-Emulator fr X. Es ist als der Nachfolger 
von xterm(1) fr Benutzer gedacht, die auf die exotischeren Funktionen 
von xterm verzichten knnen. Insbesondere implementiert rxvt keine 
Tektronix 4014-Emulation, keine Sitzungsprotokolle und keine 
Konfigurierbarkeit im Toolkit-Stil. Als Folge davon belegt es 
wesentlich weniger Auslagerungsplatz als xterm, was einen signifikanten 
Vorteil fr Computer bedeutet, die viele X-Sitzungen bedienen. 

%description -l fr
rxvt est un mulateur de terminal VT100 pour X. Il est conu pour remplacer
xterm(1) pour les utilisateurs qui n'ont pas besoin des possibilits
sotriques d'xterm. Notamment, rxvt n'implante pas l'mulation Tektronix
4014, le session logging et la configuration de style toolkit. En revanche,
rxvt utilise beaucoup moins d'espace de swap qu'xterm - un avantage certain
sur une machine avec de nombreuses sessions X. 

%description -l tr
rxvt, X11 iin vt100 terminalini destekleyen bir yazlmdr. Asl gelitirilme
amac xterm'in baz detayl zelliklerine gerek duymayan kiiler iin daha az
kaynak harcayan bir alternatif yaratmakt. Textronik 4014 yknm gibi
xterm'e ait egzotik zellikleri gerektirmeyen ve birok pencerenin ald
ortamlarda son derece avantajl olabilir.

%prep
%setup -q
%patch -p1

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr/X11R6 \
	--enable-utmp --enable-wtmp --enable-xpm-background \
	--enable-transparency --enable-menubar --enable-graphics \
	--enable-next-scroll --disable-backspace-key \
	--disable-delete-key --enable-xgetdefault --enable-ttygid

# Defining LINUX_KEYS
perl -i -pe 's/^.*(#define LINUX_KEYS).*$/$1/g' src/feature.h

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
install -d -m 755 $RPM_BUILD_ROOT/etc/X11/wmconfig
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

make DESTDIR=$RPM_BUILD_ROOT install

install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/wmconfig/rxvt

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc doc/*
%config(missingok) /etc/X11/wmconfig/rxvt
%attr(4755,root,root) /usr/X11R6/bin/rxvt
/usr/X11R6/bin/rclock
/usr/X11R6/man/man1/rxvt.1
/usr/X11R6/man/man1/rclock.1

%changelog
* Mon Mar 27 2000 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.3-2]
- Geoff Wing <gcw@pobox.com>
- fixed clean up (utmp/wtmp/etc.) on fatal signal, noticed by
  Jim Diamond <jdiamond@fox.nstn.ca>
- added use of configure options --program-prefix, --program-suffix &
  --program-transform-name, allowing, say, Kanji users to do
  --program-transform-name='s,rxvt,kxvt,;' for installing
- changed configure --with-encoding value "euckr" to "kr" to match
  multichar_encoding option and resource values
- added configure --with-encoding value "noenc" (and multichar_encoding
  option and resource values) to disable encoding allowing
  normal eight bit characters in multichar compile
- fixed -si/+si option, noticed by
  Thomas Lofgren <tlofgren@cup.hp.com>
- fixed detection of struct utmpx, noticed by
  Paul 'TBBle' Hampson <Paul.Hampson@Pobox.Com>
- added basic support for openpty() which should help with people on
  Alpha platform using Tru64/<insert new OS name here>

- Tung-Han Hsieh <thhsieh@linux.org.tw>
- fixed configure notify bypass checking for self window configurations
- fixed fontset creation to match sizes properly and recreate fontset
  on size change

- <cwhuang@linux.org.tw>
- added fontset (locale dependent) menubars
- added example Big5 menu

- Hans de Goede <hans@highrise.nl>
- added colour determination for low colour (4 to 8 bit) displays

* Tue Dec 21 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.2-1]
- fixed screen refresh output to handle more cases
- changed resource storage to a struct rather than a char* arrary,
  to aid debugging
- changed how ptys/ttys are opened (again)
- fixed processing of some resources to strip double-quotes when using
  XGetDefaults() and also for backspace_key/delete_key
- fixed large paste problem, noticed by
  Dominik Vogt <dominik_vogt@agilent.com>
- fixed utmp removal problem for SYSV style utmps
- changed BORDERWIDTH in feature.h to EXTERNALBORDERWIDTH to clarify
  its usage.
- added (frills) resources "internalBorder" (-b) and
  "externalBorder" (-w)(-bw)(-borderwidth)
- added NO_BELL to feature.h to allow disabling all bell indications
- added QNX support
- added logging into lastlog in login shells (-ls option)
- added SCROLL_ON_UPDOWN_KEYS to feature.h to allow scrolling via
  (shift|meta|ctrl) and modifier, default off for backward
  (2.6.x) compatibility

* Tue Sep 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.1-2]
- Defining LINUX_KEYS now. Forgot that when moving to this version.

* Tue Sep 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.1-1]
- cleaned up CSI processing slightly
- fixed clearing of pixel droppings on right side of cell
- added clearing of pixel droppings for fonts which exceed the left side
  of their cells, noticed by J Scott Berg <jsberg@earthlink.net>
- changed --disable-memset to --enable-strings and not enable by default
- added LOCAL_X_IS_UNIX to feature.h to work-around Irix problem, opens
  unix:0.0 instead of :0 or :0.0
- fixed some configure errors
- changed how ptys/ttys are opened and which is opened by parent or child
  Geoff Wing <gcw@pobox.com>

- fixed scrollbar slider jitter
- added named constants for scrollbar calculations
  Jim Knoble <jmknoble@pobox.com>

- changed interaction with XIM server to fix several problems
  MANTANI Nobutaka <nobutaka@nobutaka.com>

* Tue Aug 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-4]
- Applied patch3 available on ftp site.
  Reorder child operations to fix problems on USG pty machines
    Larry W. Virden <lvirden@cas.org>

* Mon Aug  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-3]
- Applied patch2 available on ftp site.
  Add lost tty determining code when split fully into BSD/SYSV types.

* Fri Aug  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-2]
- Applied patch1 available on ftp site.

* Fri Aug  6 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.7.0-1]
- Updated to 2.7.0 Developement Release.
- added XTerm escape sequence #55 to dump scrollback/screen to a file
  Geoff Wing <gcw@pobox.com>
- fixed XGetDefaults() to use standard files (and then some)
  SEO Young-Jin <yjseo@mizi.co.kr>

* Tue Jun  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.0-1]
- Updated to 2.6.0 release.
- Geoff Wing <gcw@pobox.com>  et al.
  fixed configuration for many systems
- Ha Shao <hashao@china.com>
  added support for ZH_CN (GB2312) fonts and encoding.


* Mon May 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE4-1]
- Updated to version 2.6.PRE4

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE3-1]
- Updated to version 2.6.PRE3
- Changed URL to reflect new rxvt web site.

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-3]
- added --enable-ttygid

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-2]
- Fix change_font/move_window bug better
   avoids coredump on resize window!

* Wed Jan 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-1]
- Upgraded to rxvt-2.6.PRE2
- Geoff Wing <gcw@pobox.com>
  - fixed declaration position for COLORFGBG env var - really fixed this
    	time (noticed by Rob Somerville <somervil@cadvision.com>)
  - fixed transparent term reparenting/configure issues
  - fixed some documentation (noticed by
    	Richard Browne <richb@timestone.com.au>)

- MANTANI Nobutaka <nobutaka@nobutaka.com>
  - added XIM (X Input Method) enhancements

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE1-2]
- Upgraded to rxvt-2.6.PRE1
